public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/kapacitor/
@ 2018-08-15 17:22 William Hubbs
  0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2018-08-15 17:22 UTC (permalink / raw
  To: gentoo-commits

commit:     9b87e7c8cc57e78f8bbf2309327c4c359acf53ff
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 15 17:21:26 2018 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Wed Aug 15 17:21:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b87e7c8

net-analyzer/kapacitor: 1.5.1 version bump

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 net-analyzer/kapacitor/Manifest               |  1 +
 net-analyzer/kapacitor/kapacitor-1.5.1.ebuild | 48 +++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/net-analyzer/kapacitor/Manifest b/net-analyzer/kapacitor/Manifest
index f2322b6bb56..03dbf0800fc 100644
--- a/net-analyzer/kapacitor/Manifest
+++ b/net-analyzer/kapacitor/Manifest
@@ -1 +1,2 @@
 DIST kapacitor-1.4.1.tar.gz 7543899 BLAKE2B 142ea7899be3728d2e857a83beebb8ff32dae6b7a71097de1474878a1728c6597937d03a828746af2464d6406ae80796b11579a10baacb66843bd535f971d940 SHA512 315e01e97f6a89afbbd0e36c17ee64d2744bc8ccce2e318f17ad5fba75599fdc55c303069c32aed07ba73c8ba9cdbacdb76c7ffe0c81681c1ef0be0ba405802e
+DIST kapacitor-1.5.1.tar.gz 5668659 BLAKE2B 5caf7a51945d84010f25dcbe198d4a1b7fc21f2ef7036a0489d6274212068937942f0490637a11ab05399d3a95ec1d96f3d42f0a2b3e3b7b4ff1377ef1e220e6 SHA512 6e25f89d9b75c6c14350a189be7bcd4210a331025a4bd0a8fa363dee8abbe8c582013a9c3020e638e9490ded12d70212963dc01bd3570395412641e2911d93f5

diff --git a/net-analyzer/kapacitor/kapacitor-1.5.1.ebuild b/net-analyzer/kapacitor/kapacitor-1.5.1.ebuild
new file mode 100644
index 00000000000..dd499480fbd
--- /dev/null
+++ b/net-analyzer/kapacitor/kapacitor-1.5.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN=github.com/influxdata/kapacitor
+
+inherit golang-build golang-vcs-snapshot systemd user
+
+DESCRIPTION="Monitoring, processing and alerting on time series data"
+HOMEPAGE="https://www.influxdata.com"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+pkg_setup() {
+	enewgroup kapacitor
+	enewuser kapacitor -1 -1 /var/lib/kapacitor kapacitor
+}
+
+src_compile() {
+	pushd "src/${EGO_PN}" > /dev/null || die
+	set -- env GOPATH="${S}" go build -v -work -x ./...
+	echo "$@"
+	"$@" || die "compile failed"
+	popd > /dev/null
+}
+
+src_install() {
+	pushd "src/${EGO_PN}" > /dev/null || die
+	set -- env GOPATH="${S}" go install -v -work -x ./...
+	echo "$@"
+	"$@" || die
+	dobin "${S}"/bin/kapacitor{,d}
+	insinto /etc/kapacitor
+doins etc/kapacitor/kapacitor.conf
+keepdir /etc/kapacitor/load
+	insinto /etc/logrotate.d
+	doins etc/logrotate.d/kapacitor
+	systemd_dounit scripts/kapacitor.service
+	keepdir /var/log/kapacitor
+	fowners kapacitor:kapacitor /var/log/kapacitor
+	newconfd "${FILESDIR}"/kapacitor.confd kapacitor
+	newinitd "${FILESDIR}"/kapacitor.rc kapacitor
+	popd > /dev/null || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/kapacitor/
@ 2021-07-14 19:57 Conrad Kostecki
  0 siblings, 0 replies; 4+ messages in thread
From: Conrad Kostecki @ 2021-07-14 19:57 UTC (permalink / raw
  To: gentoo-commits

commit:     0b71b5dabee2f0f5c839ecf4d981e7b1143561ff
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 14 19:57:47 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Jul 14 19:57:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b71b5da

net-analyzer/kapacitor: drop old version

Closes: https://bugs.gentoo.org/781578
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-analyzer/kapacitor/Manifest                  |  2 -
 net-analyzer/kapacitor/kapacitor-1.4.1-r1.ebuild | 48 ------------------------
 net-analyzer/kapacitor/kapacitor-1.5.1.ebuild    | 48 ------------------------
 3 files changed, 98 deletions(-)

diff --git a/net-analyzer/kapacitor/Manifest b/net-analyzer/kapacitor/Manifest
index ed51e89c0fe..e84886f6f4f 100644
--- a/net-analyzer/kapacitor/Manifest
+++ b/net-analyzer/kapacitor/Manifest
@@ -1,3 +1 @@
-DIST kapacitor-1.4.1.tar.gz 7543899 BLAKE2B 142ea7899be3728d2e857a83beebb8ff32dae6b7a71097de1474878a1728c6597937d03a828746af2464d6406ae80796b11579a10baacb66843bd535f971d940 SHA512 315e01e97f6a89afbbd0e36c17ee64d2744bc8ccce2e318f17ad5fba75599fdc55c303069c32aed07ba73c8ba9cdbacdb76c7ffe0c81681c1ef0be0ba405802e
-DIST kapacitor-1.5.1.tar.gz 5668659 BLAKE2B 5caf7a51945d84010f25dcbe198d4a1b7fc21f2ef7036a0489d6274212068937942f0490637a11ab05399d3a95ec1d96f3d42f0a2b3e3b7b4ff1377ef1e220e6 SHA512 6e25f89d9b75c6c14350a189be7bcd4210a331025a4bd0a8fa363dee8abbe8c582013a9c3020e638e9490ded12d70212963dc01bd3570395412641e2911d93f5
 DIST kapacitor-1.5.5.tar.gz 5708426 BLAKE2B 432d24f3bbe0f42e36b881e0c709cebd96dd3674ddf752f6a25cfb333108c903073b887e12d630d6c9e33a77b1256ea090cfe216cd9eb30b9bee53c48b7ab154 SHA512 34a2577a9c6f069ab8f747b9bd2f80f941bbedcccd740c24ec9f308804ec259e78cf14c924fcee3315b6f9f7f59adb9c50aedf06587898b8a0fb54f721d79212

diff --git a/net-analyzer/kapacitor/kapacitor-1.4.1-r1.ebuild b/net-analyzer/kapacitor/kapacitor-1.4.1-r1.ebuild
deleted file mode 100644
index dd499480fbd..00000000000
--- a/net-analyzer/kapacitor/kapacitor-1.4.1-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-EGO_PN=github.com/influxdata/kapacitor
-
-inherit golang-build golang-vcs-snapshot systemd user
-
-DESCRIPTION="Monitoring, processing and alerting on time series data"
-HOMEPAGE="https://www.influxdata.com"
-SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-pkg_setup() {
-	enewgroup kapacitor
-	enewuser kapacitor -1 -1 /var/lib/kapacitor kapacitor
-}
-
-src_compile() {
-	pushd "src/${EGO_PN}" > /dev/null || die
-	set -- env GOPATH="${S}" go build -v -work -x ./...
-	echo "$@"
-	"$@" || die "compile failed"
-	popd > /dev/null
-}
-
-src_install() {
-	pushd "src/${EGO_PN}" > /dev/null || die
-	set -- env GOPATH="${S}" go install -v -work -x ./...
-	echo "$@"
-	"$@" || die
-	dobin "${S}"/bin/kapacitor{,d}
-	insinto /etc/kapacitor
-doins etc/kapacitor/kapacitor.conf
-keepdir /etc/kapacitor/load
-	insinto /etc/logrotate.d
-	doins etc/logrotate.d/kapacitor
-	systemd_dounit scripts/kapacitor.service
-	keepdir /var/log/kapacitor
-	fowners kapacitor:kapacitor /var/log/kapacitor
-	newconfd "${FILESDIR}"/kapacitor.confd kapacitor
-	newinitd "${FILESDIR}"/kapacitor.rc kapacitor
-	popd > /dev/null || die
-}

diff --git a/net-analyzer/kapacitor/kapacitor-1.5.1.ebuild b/net-analyzer/kapacitor/kapacitor-1.5.1.ebuild
deleted file mode 100644
index dd499480fbd..00000000000
--- a/net-analyzer/kapacitor/kapacitor-1.5.1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-EGO_PN=github.com/influxdata/kapacitor
-
-inherit golang-build golang-vcs-snapshot systemd user
-
-DESCRIPTION="Monitoring, processing and alerting on time series data"
-HOMEPAGE="https://www.influxdata.com"
-SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-pkg_setup() {
-	enewgroup kapacitor
-	enewuser kapacitor -1 -1 /var/lib/kapacitor kapacitor
-}
-
-src_compile() {
-	pushd "src/${EGO_PN}" > /dev/null || die
-	set -- env GOPATH="${S}" go build -v -work -x ./...
-	echo "$@"
-	"$@" || die "compile failed"
-	popd > /dev/null
-}
-
-src_install() {
-	pushd "src/${EGO_PN}" > /dev/null || die
-	set -- env GOPATH="${S}" go install -v -work -x ./...
-	echo "$@"
-	"$@" || die
-	dobin "${S}"/bin/kapacitor{,d}
-	insinto /etc/kapacitor
-doins etc/kapacitor/kapacitor.conf
-keepdir /etc/kapacitor/load
-	insinto /etc/logrotate.d
-	doins etc/logrotate.d/kapacitor
-	systemd_dounit scripts/kapacitor.service
-	keepdir /var/log/kapacitor
-	fowners kapacitor:kapacitor /var/log/kapacitor
-	newconfd "${FILESDIR}"/kapacitor.confd kapacitor
-	newinitd "${FILESDIR}"/kapacitor.rc kapacitor
-	popd > /dev/null || die
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/kapacitor/
@ 2020-07-13 15:42 William Hubbs
  0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2020-07-13 15:42 UTC (permalink / raw
  To: gentoo-commits

commit:     e3580775a6a8da149d1797ec0416bbd09a1aa714
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 12 21:24:29 2020 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Mon Jul 13 15:28:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3580775

net-analyzer/kapacitor: 1.5.5 bump

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 net-analyzer/kapacitor/Manifest               |  1 +
 net-analyzer/kapacitor/kapacitor-1.5.5.ebuild | 47 +++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/net-analyzer/kapacitor/Manifest b/net-analyzer/kapacitor/Manifest
index 03dbf0800fc..ed51e89c0fe 100644
--- a/net-analyzer/kapacitor/Manifest
+++ b/net-analyzer/kapacitor/Manifest
@@ -1,2 +1,3 @@
 DIST kapacitor-1.4.1.tar.gz 7543899 BLAKE2B 142ea7899be3728d2e857a83beebb8ff32dae6b7a71097de1474878a1728c6597937d03a828746af2464d6406ae80796b11579a10baacb66843bd535f971d940 SHA512 315e01e97f6a89afbbd0e36c17ee64d2744bc8ccce2e318f17ad5fba75599fdc55c303069c32aed07ba73c8ba9cdbacdb76c7ffe0c81681c1ef0be0ba405802e
 DIST kapacitor-1.5.1.tar.gz 5668659 BLAKE2B 5caf7a51945d84010f25dcbe198d4a1b7fc21f2ef7036a0489d6274212068937942f0490637a11ab05399d3a95ec1d96f3d42f0a2b3e3b7b4ff1377ef1e220e6 SHA512 6e25f89d9b75c6c14350a189be7bcd4210a331025a4bd0a8fa363dee8abbe8c582013a9c3020e638e9490ded12d70212963dc01bd3570395412641e2911d93f5
+DIST kapacitor-1.5.5.tar.gz 5708426 BLAKE2B 432d24f3bbe0f42e36b881e0c709cebd96dd3674ddf752f6a25cfb333108c903073b887e12d630d6c9e33a77b1256ea090cfe216cd9eb30b9bee53c48b7ab154 SHA512 34a2577a9c6f069ab8f747b9bd2f80f941bbedcccd740c24ec9f308804ec259e78cf14c924fcee3315b6f9f7f59adb9c50aedf06587898b8a0fb54f721d79212

diff --git a/net-analyzer/kapacitor/kapacitor-1.5.5.ebuild b/net-analyzer/kapacitor/kapacitor-1.5.5.ebuild
new file mode 100644
index 00000000000..255afd9819a
--- /dev/null
+++ b/net-analyzer/kapacitor/kapacitor-1.5.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit golang-build golang-vcs-snapshot systemd
+EGO_PN=github.com/influxdata/kapacitor
+
+DESCRIPTION="Monitoring, processing and alerting on time series data"
+HOMEPAGE="https://www.influxdata.com"
+SRC_URI="https://github.com/influxdata/kapacitor/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+COMMON_DEPEND="acct-group/kapacitor
+	acct-user/kapacitor"
+	DEPEND="${COMMON_DEPEND}"
+	RDEPEND="${COMMON_DEPEND}"
+
+src_compile() {
+	pushd "src/${EGO_PN}" > /dev/null || die
+	set -- env GOPATH="${S}" go build -v -work -x ./...
+	echo "$@"
+	"$@" || die "compile failed"
+	popd > /dev/null
+}
+
+src_install() {
+	pushd "src/${EGO_PN}" > /dev/null || die
+	set -- env GOPATH="${S}" go install -v -work -x ./...
+	echo "$@"
+	"$@" || die
+	dobin "${S}"/bin/kapacitor{,d}
+	insinto /etc/kapacitor
+doins etc/kapacitor/kapacitor.conf
+keepdir /etc/kapacitor/load
+	insinto /etc/logrotate.d
+	doins etc/logrotate.d/kapacitor
+	systemd_dounit scripts/kapacitor.service
+	keepdir /var/log/kapacitor
+	fowners kapacitor:kapacitor /var/log/kapacitor
+	newconfd "${FILESDIR}"/kapacitor.confd kapacitor
+	newinitd "${FILESDIR}"/kapacitor.rc kapacitor
+	popd > /dev/null || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/kapacitor/
@ 2018-03-26 18:01 William Hubbs
  0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2018-03-26 18:01 UTC (permalink / raw
  To: gentoo-commits

commit:     2a13d51aa30ee1554239cbc8655f5aab12e08036
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 26 18:00:17 2018 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Mon Mar 26 18:01:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a13d51a

net-analyzer/kapacitor: remove 1.4.1

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-analyzer/kapacitor/kapacitor-1.4.1.ebuild | 48 ---------------------------
 1 file changed, 48 deletions(-)

diff --git a/net-analyzer/kapacitor/kapacitor-1.4.1.ebuild b/net-analyzer/kapacitor/kapacitor-1.4.1.ebuild
deleted file mode 100644
index dd499480fbd..00000000000
--- a/net-analyzer/kapacitor/kapacitor-1.4.1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-EGO_PN=github.com/influxdata/kapacitor
-
-inherit golang-build golang-vcs-snapshot systemd user
-
-DESCRIPTION="Monitoring, processing and alerting on time series data"
-HOMEPAGE="https://www.influxdata.com"
-SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-pkg_setup() {
-	enewgroup kapacitor
-	enewuser kapacitor -1 -1 /var/lib/kapacitor kapacitor
-}
-
-src_compile() {
-	pushd "src/${EGO_PN}" > /dev/null || die
-	set -- env GOPATH="${S}" go build -v -work -x ./...
-	echo "$@"
-	"$@" || die "compile failed"
-	popd > /dev/null
-}
-
-src_install() {
-	pushd "src/${EGO_PN}" > /dev/null || die
-	set -- env GOPATH="${S}" go install -v -work -x ./...
-	echo "$@"
-	"$@" || die
-	dobin "${S}"/bin/kapacitor{,d}
-	insinto /etc/kapacitor
-doins etc/kapacitor/kapacitor.conf
-keepdir /etc/kapacitor/load
-	insinto /etc/logrotate.d
-	doins etc/logrotate.d/kapacitor
-	systemd_dounit scripts/kapacitor.service
-	keepdir /var/log/kapacitor
-	fowners kapacitor:kapacitor /var/log/kapacitor
-	newconfd "${FILESDIR}"/kapacitor.confd kapacitor
-	newinitd "${FILESDIR}"/kapacitor.rc kapacitor
-	popd > /dev/null || die
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-07-14 19:58 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-08-15 17:22 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/kapacitor/ William Hubbs
  -- strict thread matches above, loose matches on Subject: below --
2021-07-14 19:57 Conrad Kostecki
2020-07-13 15:42 William Hubbs
2018-03-26 18:01 William Hubbs

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox